org.red5.server.stream

## Interface IStreamTypeAwareProvider

All Superinterfaces:
  IMessageComponent, IProvider

All Known Implementing Classes:
  FileProvider

    public interface IStreamTypeAwareProvider
    extends IProvider

Interface for providers that know if they contain video frames.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

### Field Summary

Fields
`static String` `KEY`

### Method Summary

Methods
`boolean` `hasVideo()` Check if the provider contains video tags.

### Methods inherited from interface org.red5.server.messaging.IMessageComponent

`onOOBControlMessage`

### Field Detail

#### KEY

    static final String KEY

### Method Detail

#### hasVideo

    boolean hasVideo()

Check if the provider contains video tags.

Returns:
  provider has video